Bug 130915 - Unable to assign columns properly (gen)
Summary: Unable to assign columns properly (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-25 01:25 UTC by Fabiano Freitas
Modified: 2020-02-27 10:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Assign Columns bug (15.90 KB, image/png)
2020-02-25 01:25 UTC, Fabiano Freitas
Details
Assign Columns bug (11.82 KB, image/png)
2020-02-25 01:26 UTC, Fabiano Freitas
Details
sample file (2.92 KB, application/vnd.oasis.opendocument.database)
2020-02-25 10:09 UTC, Xisco Faulí
Details
screencast (gen vs gtk3) (1.76 MB, video/x-matroska)
2020-02-26 10:14 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabiano Freitas 2020-02-25 01:25:43 UTC
Created attachment 158158 [details]
Assign Columns bug

I simply cannot select and move the fields up or down anymore. The up and down arrow buttons don't work. It won't work on both sides - either Source table or Destination table.


The other minor glitch is that the controls aren't correctly drawn on the window. I have to resize the window so that the controls refresh and adjust on the window.



Reinstalling previous version 6.3.5 solves the problem.
Comment 1 Fabiano Freitas 2020-02-25 01:26:13 UTC
Created attachment 158159 [details]
Assign Columns bug
Comment 2 Robert Großkopf 2020-02-25 06:38:15 UTC
Have tested with LO 6.4.0.3 on OpenSUSE 15.1.
On both sides of the wizard-dialog the buttons with arrow-up won't work. 
Buttons with arrow-down will work here.

I couldn't set this bug to "New" because the report says: Both buttons, up and down, won't work.

The second, refresh of the dialog, won't appear in LO 7 daily build. Seems it has been fixed together with other graphical bugs in Base-dialogues.
Comment 3 Xisco Faulí 2020-02-25 09:11:10 UTC
The UI glitch was reported in bug 130462
Comment 4 Xisco Faulí 2020-02-25 10:08:27 UTC
Sorting problem reproduced in

Version: 7.0.0.0.alpha0+
Build ID: e6b9bc3f2ecf0fb7fde5b02f9d750ccbe022f4c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

How to reproduce it:
1. Open attached document
2. Go to tables
3. Select the table and copy
4. Select the table and paste
5. Next

Try to sort, nothing happens
Comment 5 Xisco Faulí 2020-02-25 10:09:30 UTC
Created attachment 158173 [details]
sample file
Comment 6 Xisco Faulí 2020-02-25 10:09:49 UTC
Not happening with gtk3
Comment 7 Xisco Faulí 2020-02-25 10:11:35 UTC
I believe this is a regression from

author	Caolán McNamara <caolanm@redhat.com>	2019-09-05 12:22:38 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-12 20:28:14 +0200
commit	8c66efa030e98cfdf5da20be368566d64e43c5d1 (patch)
tree	88c9fb335349fd1b7b285d46108e5d41a3c9aac4
parent	8150219824a1d08c4a22fd8bb7cc63fe2aa88074 (diff)
weld OCopyTableWizard cluster

however, the wizard crashes up to https://git.libreoffice.org/core/commit/6b6484d25b63fe68e94f60ca8d6fb2b0b039bdfb

Adding Cc: to Caolán McNamara
Comment 8 Commit Notification 2020-02-25 16:20:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bc8488ed715102f08423ce5953727ad8e97fd687

tdf#130915 SvTreeList::Move needs to move from lower index to higher

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2020-02-25 16:21:50 UTC
fixed in master, backport to 6-4 in gerrit
Comment 10 Commit Notification 2020-02-25 17:21:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/94c9d1e61702e64c03b2261ce1359bf3e459b75a

tdf#130915 SvTreeList::Move needs to move from lower index to higher

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-02-25 17:35:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9bb7f05793e208f6340a6bdac9e38d63d447552a

tdf#130915 second treeview doesn't use its checkboxes

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2020-02-26 10:11:16 UTC
Hi Caolán,
I still reproduce the issue in

Version: 7.0.0.0.alpha0+
Build ID: c8d764b3f27c2bb0712745891b70630e94436317
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Xisco Faulí 2020-02-26 10:14:18 UTC
Created attachment 158197 [details]
screencast (gen vs gtk3)
Comment 14 Commit Notification 2020-02-26 10:26:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4bf6541b35382e820717ee5416f8ddab29e4d3f8

tdf#130915 second treeview doesn't use its checkboxes

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Caolán McNamara 2020-02-26 10:30:03 UTC
you've nothing selected
Comment 16 Xisco Faulí 2020-02-26 10:37:49 UTC
(In reply to Caolán McNamara from comment #15)
> you've nothing selected

oh, I see. just checked with previous versions and it seems the first option was selected by default
Comment 17 Commit Notification 2020-02-26 13:58:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/90ad0740a22bc50c478ad743eef1f30b2fc1b226

tdf#130915 auto-select first entry when treeview filled

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Caolán McNamara 2020-02-26 14:19:26 UTC
yeah, there should be something selected by default, done in master now with backport to 6-4 in gerrit
Comment 19 Xisco Faulí 2020-02-27 10:56:24 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: e57f72d8fc81762860b4579df92db264e8d710ef
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 20 Commit Notification 2020-02-27 10:57:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0ee5a690e03ec4de92e0eb839214e3758d5b004f

tdf#130915 auto-select first entry when treeview filled

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.